org.apache.http.impl.client

## Class ProxyClient

- java.lang.Object
- - org.apache.http.impl.client.ProxyClient

-     public class ProxyClient
      extends Object

  ProxyClient can be used to establish a tunnel via an HTTP proxy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyClient()`
    `ProxyClient(HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection> connFactory, org.apache.http.config.ConnectionConfig connectionConfig, RequestConfig requestConfig)`
    `ProxyClient(org.apache.http.params.HttpParams params)` Deprecated. (4.3) use `ProxyClient(HttpConnectionFactory, ConnectionConfig, RequestConfig)`
    `ProxyClient(RequestConfig requestConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthSchemeRegistry` | `getAuthSchemeRegistry()` Deprecated. (4.3) do not use.
    `org.apache.http.params.HttpParams` | `getParams()` Deprecated. (4.3) do not use.
    `Socket` | `tunnel(org.apache.http.HttpHost proxy, org.apache.http.HttpHost target, Credentials credentials)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyClient

          public ProxyClient(HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection> connFactory,
                     org.apache.http.config.ConnectionConfig connectionConfig,
                     RequestConfig requestConfig)

      Since:
        4.3

    - #### ProxyClient

          @Deprecated
          public ProxyClient(org.apache.http.params.HttpParams params)

      Deprecated. (4.3) use `ProxyClient(HttpConnectionFactory, ConnectionConfig, RequestConfig)`

    - #### ProxyClient

          public ProxyClient(RequestConfig requestConfig)

      Since:
        4.3

    - #### ProxyClient

          public ProxyClient()

  - ### Method Detail

    - #### getParams

          @Deprecated
          public org.apache.http.params.HttpParams getParams()

      Deprecated. (4.3) do not use.

    - #### getAuthSchemeRegistry

          @Deprecated
          public AuthSchemeRegistry getAuthSchemeRegistry()

      Deprecated. (4.3) do not use.

    - #### tunnel

          public Socket tunnel(org.apache.http.HttpHost proxy,
                      org.apache.http.HttpHost target,
                      Credentials credentials)
                        throws IOException,
                               org.apache.http.HttpException

      Throws:
        `IOException`
        `org.apache.http.HttpException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.